# XW_MOUSEMOVEWITHBUTTONEVENT Struct Reference

`#include <Xw_Cextern.hxx>`

## Data Fields

XW_EVENTTYPE | type
XW_EXT_WINDOW * | awindow
int | modifier
int | button
int | state
int | x
int | y

## Field Documentation

XW_EXT_WINDOW* XW_MOUSEMOVEWITHBUTTONEVENT::awindow

int XW_MOUSEMOVEWITHBUTTONEVENT::button

int XW_MOUSEMOVEWITHBUTTONEVENT::modifier

int XW_MOUSEMOVEWITHBUTTONEVENT::state

XW_EVENTTYPE XW_MOUSEMOVEWITHBUTTONEVENT::type

int XW_MOUSEMOVEWITHBUTTONEVENT::x

int XW_MOUSEMOVEWITHBUTTONEVENT::y

The documentation for this struct was generated from the following file:

- Xw_Cextern.hxx